// here program starts
document.addEventListener("deviceready", onDeviceReady, false);

//ads listener
document.addEventListener('onReceiveAd', checkPageForAd, false);

//'hide&close' listener
document.addEventListener('onLeaveApplication', function(){odd = 1;});

//prevent text select
document.onmoucedown = function() {
    return false;
}

//default language
defaultLn = 'en';
currentLn = defaultLn;
//content location
contentDir = 'content/';

//variables for work
listview = [];
//number of content pages
maxPage = 10;
//not used now
dayNameForMassage = 'Day';

//dropbox 'new apps' list
loadedFromDropbox = 0;

//is full screen ad already shown?
firstStartAd = false;

//is app free or paid?
freeApp = false;
//placeholders. will be replaced with ajax
nameApp = '';
parseId = 'Xhl2grcgYTLfS0KnSTj90jvDRR7qYJtRAA3jjVht';
parseClient = 'BelSk8a9OmyeYYT7RxSTmDEGEFlyYVTfpRcvx9yy';
adMobId = 'ca-app-pub-4740274916612197/3811020464';
adMobIdBig = 'ca-app-pub-4740274916612197/5287753667';
urlForMarket = linkForFBSharing = 'https://itunes.apple.com/app/id518776702';
urlForFBLike = 'https://www.facebook.com/pages/Dr-Jakob-Bargak/162860007105206';
urlForTwitterFollow = 'https://twitter.com/drbargak';

//is banner present now?
hasBanner = false;
//for testing - dont use read ads
isTesting = false;

//need to show ads after resume app
counter = 0;
odd = 0


function onDeviceReady() {
    //use org.apache.cordova.globalization plugin to find out device language
    navigator.globalization.getLocaleName(
        function(language) {
            // language.value return string with ISO 3166 format
            $.getJSON("content/config.json", function(data) {
                //get name and free/paid
                freeApp = data.free;
                nameApp = data.name;
                $.getJSON("js/keys.json", function(data) {
                    //get keys 
                    parseId = data[nameApp].id;
                    parseClient = data[nameApp].key;
                    adMobId = data[nameApp].banner;
                    adMobIdBig = data[nameApp].full;
                    urlForMarket = linkForFBSharing =data[nameApp].link; 
                    //next step
                    buildApp(language.value.substring(0, 2));
                });
            });
        },
        function() {
            // in case of error we use 'en' as default language
            $.getJSON("content/config.json", function(data) {
                freeApp = data.free;
                nameApp = data.name;
                $.getJSON("js/keys.json", function(data) {
                    parseId = data[nameApp].id;
                    parseClient = data[nameApp].key;
                    adMobId = data[nameApp].banner;
                    adMobIdBig = data[nameApp].full; 
                    urlForMarket = linkForFBSharing =   data[nameApp].link;           
                    buildApp('en');
                });
            });
        });
}

function buildApp(ln) {
    //AppStructure
    //check if exists app translation for current ln
    var appStructurePath = contentDir + ln + "/AppStructure-" + ln + ".xml";
    var appStructure = openXml(appStructurePath);


    //if not use default one
    if (!appStructure) {
        appStructure = openXml(contentDir + defaultLn + "/AppStructure-" + defaultLn + ".xml");
        currentLn = defaultLn;
    } else {
        currentLn = ln;
    }

    //uncomment neccessary string for target devices - first:Android, second:Kindle
    dropboxURL = "https://dl.dropboxusercontent.com/u/7642294/CrossPromotion/AcupressureAppsAndroid/AcupressureApps-" + currentLn + ".html";
    // dropboxURL = "https://dl.dropboxusercontent.com/u/7642294/CrossPromotion/AcupressureAppsKindle/AcupressureApps-" + currentLn + ".html";

    //appDescription
    var appDescription = openXml(contentDir + currentLn + "/AppDescription-" + currentLn + ".xml");

    //rewrite headers inform
    massageHeader = $(appDescription.firstChild).attr('name');
    reminderHeader = $(appStructure).find('Reminder').find('viewTitle').text();
    freeHeader = $(appDescription).find('#share').find('title').text();
    newHeader = $(appDescription).find('#newapps').find('title').text();
    aboutHeader = $(appDescription).find('#author').find('title').text();

    //generate labels, titles, small content
    aboutContent = $(appDescription).find('#author').find('content').text();
    reminderContent = $(appStructure).find('Reminder');
    newContent = $(appDescription).find('#newapps').find('content').text();
    freeContent = $(appDescription).find('#share');
    shareMessage = $(appStructure).find('Social').find('textSinaWeibo').text();
    rateText = $(appStructure).find('RatingRequest');
    // urlForMarket = linkForFBSharing = $(rateText).find('url').text()
    //get page with new app from dropbox
    $.ajax({
        url: dropboxURL,
        success: function(response) {
            //replace old page with new one
            window.localStorage.setItem('latestNewPage', response);
        }
    });

    //menuTabs
    menuTabs($(appStructure).find("Tabs").children().toArray());
    menuActions($(appDescription).find("Page"));

    checkPushUrl();
    //push notifications at start
    startFirstTime();

}

function openXml(file) {

    //load content from xml file
    if (window.XMLHttpRequest) { // code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    } else { // code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", file, false);
    xmlhttp.send();
    xmlDoc = xmlhttp.responseXML;

    return xmlDoc;
}

//Menu Tabs
function menuTabs(menu) {
    //create menu tabs
    var ul = $('<ul id="navigation-tabs">');
    menu.forEach(function(tab) {
        var li = $('<li>');
        var tabName = $(tab).find('name').text()
        li.append('<a href="#" class="bargak-style">' + tabName + '</a>');
        ul.append(li);
    });
    $('#tabs').append(ul);
    ul.navbar();


    //create share social tab
    var dialog = $('<div id="social-tab" style="display:none">');
    var cancel = $('<div id="social-tab-cancel">').html('<span>Cancel</span>')
        .click(function() {
            $('#social-tab').css('height', '0').css('display', 'none');
            showAds();
        });
    var imageForSharing = 'www/css/img/stirnkopfschmerz.png';
    var services = $('<div id="social-tab-list">');
    var title = $('<div>');
    var mail = $('<img id="mail-share" src="css/img/email.png">');
    var fb = $('<img id="fb-share" src="css/img/fb2.png">');
    var twitter = $('<img id="twitter-share" src="css/img/twitter-icon.png">');
    $(services).append(title).append(mail).append(fb).append(twitter);
    $(dialog).append(services).append(cancel);
    $('#tabs').append(dialog);
    //if click 'share'
    $('#fb-share').click(function() {
        odd = 1
        if (device.platform == 'amazon-fireos') {
            var service = 'amzn://apps/android?asin=B0094BB4TW';
            window.plugins.socialsharing.shareViaWhatsApp(shareMessage, null, linkForFBSharing, null, function() {
                //if service not installed yet
                getService(service);
            });
        } else {
            var service = 'market://details?id=com.facebook.katana';
            window.plugins.socialsharing.shareViaFacebook(shareMessage, null, linkForFBSharing, null, function() {
                //if service not installed yet
                getService(service);
            });
        }
    });
    $('#twitter-share').click(function() {
        odd = 1
        if (device.platform == 'amazon-fireos') {
            var service = 'amzn://apps/android?asin=B004SOR4H6';
        } else {
            var service = 'market://details?id=com.twitter.android';
        }
        window.plugins.socialsharing.shareViaTwitter(shareMessage, null, linkForFBSharing, null, function() {
            //if service not installed yet
            getService(service);
        })

    });
    $('#mail-share').click(function() {
        odd = 1
        window.plugins.socialsharing.share(shareMessage + ' ' + linkForFBSharing, null, imageForSharing);
    });
    //if service not installed yet
    function getService(service) {
        //check connection
        if (navigator.connection.type === 'wifi') navigator.notification.confirm('You don\'t have necessary service, but you can download it now from market', result, 'Sorry')
        else navigator.notification.alert('Check your Wi-Fi connection', null, 'Sorry')
        //get app from market
        function result(index) {
            if (index === 1) {
                window.plugins.webintent.startActivity({
                    action: window.plugins.webintent.ACTION_VIEW,
                    url: service
                }, null, null);
            }
        }
    }
}

//Menu Action
function menuActions(page) {
    var menu = $('#tabs li');

    //Massage tab
    $(menu[0]).attr('class', 'ui-block-a tab-orange')
        .click(function(event) {
            //make correct header and clean content
            cleanByChangeTab(massageHeader, 'orange', event.target);
            //need for place banner over menu tabs
            $('body').css('position', 'static');
            $('#content-wrap').removeClass('wraper');
            $('#content-home').removeClass('wraper-inner');

            //generate content
            $(page).each(function() {
                if (+(this.id) > maxPage) maxPage = +this.id;
            })
            //change number of pages for diabet-app
            maxPage = (maxPage == 10) ? ++maxPage : maxPage;
            var pages = page.slice(0, maxPage)
            var dayRefs = $('<ul>').attr({
                'data-role': "listview",
                'id': 'day-list'
            });
            //generate pages list
            pages.each(function(element) {
                var li = $('<li style="z-index:1000">');
                var url = contentDir + currentLn + '/' + $(pages[element]).find("content").text();
                var startQuestion = $(pages[0]).find("title").text();
                // 'link' - button that reffer to main content
                var link = $('<a style="z-index:1000">');
                link.html('<span style="z-index:1000">' + $(pages[element]).find('title').text() + '</span>');
                var urlBack = ($(pages[element - 1]).length > 0) ? contentDir + currentLn + '/' + $(pages[element - 1]).find("content").text() : false;
                var urlNext = ($(pages[element + 1]).length > 0) ? contentDir + currentLn + '/' + $(pages[element + 1]).find("content").text() : false;
                li.attr('back', urlBack)
                    .attr('next', urlNext);
                var linkIcon = (element == 0) ? 'icon-i@2x.png' : 'icon-kopf@2x.png';
                $(link).on('click', {
                        url: url,
                        element: element,
                        startQuestion: startQuestion,
                    },
                    addDaysAction).prepend('<img src="css/img/' + linkIcon + '" class="ui-li-icon">');
                li.append(link);
                listview[element] = li;
                dayRefs.append(li);
            });

            //add background for both orientation
            $('#content-home').addClass('massage')
                .append('<img id="massage-background-wide" src="css/img/bg-wide-ip5.jpg">')
                .append('<img id="massage-background-tall" src="css/img/bg-pic-ipad@2x.jpg">')
                .append(dayRefs)
                .trigger("create");
            killAds();


            //init page navigation(arrows at header)
            function addDaysAction(event) {
                var back = $('<a>')
                    .addClass('ui-btn-left')
                    .html('<back>')
                    .append('<img src="css/img/icon-left@2x.png">')
                    .on('click', {
                        startQuestion: event.data.startQuestion
                    }, addNavigateAction);
                var next = $('<a>')
                    .addClass('ui-btn-right')
                    .html('<next>')
                    .append('<img src="css/img/icon-right@2x.png">')
                    .on('click', addNavigateAction);
                var header = (event.data.element) ? ' ' : " ";
                $('#header-home').empty()
                    .addClass('orange-header')
                    .attr('page', event.data.element)
                    .append(setHeaderText(header))
                    .append(back)
                    .append(next);
                $('#content-home').removeClass('massage').empty();
                $('#content-wrap').addClass('wraper');
                $('#content-home').addClass('wraper-inner');

                //load day-content
                $.ajax({
                    url: event.data.url,
                    success: function(response) {
                        $('#content-home').append(response);
                        openMainMenu();
                    }
                });
            };
            //create action for 'back' and 'next' button
            function addNavigateAction(event) {
                //go to next or prev page
                $('#social-tab').css('height', '0');
                $('#content-home').empty();
                $('#content-home').load(listview[$('#header-home').attr('page')]
                    .attr($(this).html().slice(1, 5)), null, openMainMenu);
                //define, would page be next or prev
                var difference = ($(this).html().slice(1, 5) == 'back') ? -1 : 1;

                //tell, that current page changed
                $('#header-home').attr('page', +$('#header-home').attr('page') + difference)
            };
            //redirect to main massage page, if go before-first or after-last day
            function openMainMenu() {
                if ($('#header-home').attr('page') < 0 || $('#header-home').attr('page') == maxPage) {
                    $(menu[0]).click();
                    $('#content-home').removeClass('massage-content');

                    return;
                }
                //scroll to top if change page
                window.scrollTo(0, 0)
                $('body').css('position', 'fixed');
                //add adMob on page
                checkAds();
                //change text at header
                var currentHeader = $(listview[$('#header-home').attr('page')][0]).text();
                $($('#header-home').find('h1')).text(currentHeader)
                //set images from project content
                $('#content-home').addClass('massage-content').find('img').each(function() {
                    $(this).attr('src', ($(this).attr('src') == 'icon-punkt.png') ? 'icon-punkt@2x.png' : $(this).attr('src'));
                    $(this).attr('src', ($(this).attr('src') == 'icon-bullet.png') ? 'icon-bullet@2x.png' : $(this).attr('src'));
                    $(this).attr('src', ($(this).attr('src') == 'icon-teilen.png') ? 'icon-teilen@2x.png' : $(this).attr('src'));
                    $(this).attr('src', ($(this).attr('src') == 'icon-finen.png') ? 'icon-finen@2x.png' : $(this).attr('src'));
                    $(this).attr('src', ($(this).attr('src') == 'icon-wissen.png') ? 'icon-wissen@2x.png' : $(this).attr('src'));
                    if ($(this).hasClass('rounded_corners')) $(this).attr('src', 'content/de/' + $(this).attr('src'));
                    else if ($(this).hasClass('en')) $(this).attr('src', 'content/en/' + $(this).attr('src'));
                    else if ($(this).hasClass('ru')) $(this).attr('src', 'content/ru/' + $(this).attr('src'));
                    else $(this).attr('src', 'css/img/' + $(this).attr('src'))
                });
                //add space at the bottom of page
                $('#content-home').append('<div style="height:400px">');
                if ((device.platform == 'amazon-fireos')) $('#content-home').append('<div style="height:300px">');
                //replace 'social' action
                $('#content-home').find('a').each(function() {
                    var link = $(this).attr('href', '#')
                    $(this).click(function() {
                        shareSocialPopup();
                    });
                })
                //add video from /project/android/res/raw/[video] without !extension!. Only its name before point(.)
                counter = 0;

                var poster = [];
                var videoLink = []
                var ids = []
                $('#content-home').find('source').each(function() {

                    poster[counter] = 'content/de/' + $($('#content-home').find('source')[counter]).attr('src').slice(0, -4) + '.jpeg';
                    id = '#fake-video' + counter
                    ids[counter] = id;
                    //change video names for diabet-app
                    if ($($('#content-home').find('source')[counter]).attr('src').slice(-3) == 'm4v') {
                        var suffix = '';
                        switch ($($('#content-home').find('source')[counter]).attr('src')) {
                            case 'Diabetes_Video_26.m4v':
                            case 'Diabetes_Massage_2.m4v':
                                suffix = 'twsix';
                                break;
                            case 'Diabetes_Video_9.m4v':
                            case 'Diabetes_Massage_3.m4v':
                                suffix = 'nine';
                                break;
                            case 'Diabetes_Video_20.m4v':
                            case 'Diabetes_Spot_Hand2.m4v':
                                suffix = 'twsix';
                                break;
                            case 'Diabetes_Video_21.m4v':
                            case 'Diabetes_Massage_4.m4v':
                                suffix = 'twone';
                                break;
                            case 'Diabetes_Video_22.m4v':
                            case 'Diabetes_Massage_6.m4v':
                                suffix = 'twtwo';
                                break;
                            case 'Diabetes_Video_25.m4v':
                            case 'Diabetes_Massage_7.m4v':
                                suffix = 'twfive';
                                break;
                            case 'Diabetes_Video_28.m4v':
                            case 'Diabetes_Spot_Hand2.m4v':
                                suffix = 'tweight';
                                break;
                            case 'Diabetes_Video_28_2.m4v':
                            case 'Diabetes_Spot_Knee2.m4v':
                                suffix = 'tweighttwo';
                                break;
                            case 'Diabetes_Video_29.m4v':
                            case 'Diabetes_Spot_Leg2.m4v':
                                suffix = 'twnine';
                                break;
                            case 'Diabetes_Video_29_2.m4v':
                                suffix = 'twninetwo';
                                break;
                            case 'Diabetes_Video_30.m4v':
                                suffix = 'th';
                                break;
                            case 'Diabetes_Video_30_2.m4v':
                                suffix = 'thtwo';
                                break;
                            case 'Diabetes_Video_31.m4v':
                                suffix = 'thone';
                                break;
                            case 'Diabetes_Video_31_2.m4v':
                                suffix = 'thonetwo';
                                break;
                            case 'Diabetes_Video_Edu_1.m4v':
                                suffix = 'one';
                                break;
                            case 'Diabetes_Video_Edu_2.m4v':
                                suffix = 'two';
                                break;
                        }
                        videoLink[id] = 'android.resource://com.drbargak.' + nameApp + '/raw/' + $($('#content-home').find('source')[counter]).attr('src').match(/[a-z]*/gi).join('').toLowerCase().slice(0, -2) + suffix;

                    } else videoLink[id] = 'android.resource://com.drbargak.' + nameApp + '/raw/' + $($('#content-home').find('source')[counter]).attr('src').match(/[a-z]*/gi).join('').toLowerCase().slice(0, -3);

                    //replace video links with current(needed only for android)
                    $($($('#content-home').find('video')[counter]).parent()).prepend($('<div id="fake-video' + counter + '""><div style="background:url(css/img/icon-play@2x.png) center no-repeat;height:inherit;width:inherit;background-size:20%"></div></div>')
                        .click(function() {
                            //don't show fullscreen ads after resume
                            odd = 1
                            window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, getFS);
                            //get video
                            function getFS(fileSystem) {
                                fileSystem.root.getFile(
                                    "dummy.html", {
                                        create: true,
                                        exclusive: false
                                    },
                                    getFile
                                );
                            }
                            //load video
                            function getFile(fileEntry) {
                                sPath = fileEntry.toURL().replace("dummy.html", "");
                                var fileTransfer = new FileTransfer();
                                fileEntry.remove();
                                var DBuri = videoLink[ids[this.id.slice(-1)]];
                                fileTransfer.download(
                                    DBuri,
                                    sPath + ".video",
                                    function(theFile) {
                                        window.plugins.webintent.startActivity({
                                            action: window.plugins.webintent.ACTION_VIEW,
                                            url: 'cdvfile://localhost/persistent/.video',
                                            type: 'video/*'
                                        }, function() { // OK handler
                                            console.log('Yaaaaaaaay the file has been opened!' + theFile.fullPath);
                                        }, function() { // error handler
                                            console.log('Failed to open URL via Android Intent. URL: ' + theFile.fullPath);
                                        });
                                    }, function() {
                                        console.log("dowload error")
                                    });
                            }
                        }));
                    //add image to player
                    $(id).css({
                        'background': 'url(' + poster[counter] + ') center no-repeat',
                        'padding': '10px 15px',
                        'height': window.innerWidth / 1.5 + 'px',
                        'background-size': '100%'
                    });
                    counter++


                });
                $('#content-home').find('video').remove()

                //add space for correct view
                $('#content-home').append('<div style="height:380px">');

                if ((device.platform == 'amazon-fireos')) $('#content-home').append('<div style="height:300px">');
                if (window.innerWidth > 2000 || window.innerHeight > 2000) $('#content-home').append('<div style="height:100px">');
                window.scrollTo(0, 0)
                $('#content-home')[0].scrollTo(0, 0)

            };
        });


    //Reminder tab
    $(menu[1]).attr('class', 'ui-block-b tab-yellow')
        .click(function(event) {
            cleanByChangeTab(reminderHeader, 'yellow', event.target);
            var body = $('<div id="reminder">');
            //image of clockwatch on the top-left
            var clockImg = $('<img>').attr('src', 'css/img/icon-uhr@2x.png')
                .attr('id', 'reminder-clock-img');
            // top title
            var title = $('<div>').text($(reminderContent).find('viewExplanation2').text())
                .attr('id', 'reminder-title');
            // first text
            var text = $('<div>').text($(reminderContent).find('viewExplanation1').text() + $(reminderContent).find('viewExplanation2').text())
                .attr('id', 'reminder-text');
            //on/off
            var switcher = $('<div data-role="fieldcontain">')
                .attr('id', 'reminder-switcher')
                .append($('<label for="switcher-slider">').text($(reminderContent).find('title').text())).trigger('create')
            var slider = $('<select data-role="slider">')
                .attr('id', 'switcher-slider')
                .append('<option value="0">OFF</option><option value="1">ON</option>')

            $(switcher).append(slider);

            //time select buttons
            var selector = $('<div data-role="controlgroup" data-type="horizontal">')
                .attr('id', 'reminder-selector');
            var eight = $('<a href="#" data-role="button" id="hour-eight" time="8" >').text($(reminderContent).find('viewEightAm').text()).on('click', {
                event: event
            }, setNotificationHour);
            var twelve = $('<a href="#" data-role="button" id="hour-twelve" time="12">').text($(reminderContent).find('viewTwelvePm').text()).on('click', {
                event: event
            }, setNotificationHour);
            var sixteen = $('<a href="#" data-role="button" id="hour-sixteen" time="16">').text($(reminderContent).find('viewFourPm').text()).on('click', {
                event: event
            }, setNotificationHour);
            var twenty = $('<a href="#" data-role="button" id="hour-twenty" time="20">').text($(reminderContent).find('viewEightPm').text()).on('click', {
                event: event
            }, setNotificationHour);

            $(selector).append(eight, twelve, sixteen, twenty);

            //text at the end
            var thanks = $('<div>').text($(reminderContent).find('viewExplanation3').text())
                .attr('id', 'reminder-thanks').css('display', 'none');

            $(body).append(clockImg)
                .append(title)
                .append(text)
                .append(switcher)
                .append(selector)
                .append(thanks)
            // .append(lang) //change language while testing
            $('#content-home').addClass('reminder-page').append(body).append('<div style="height:200px">').trigger('create').append('<div style="height:100px">');
            checkAds();

            //show, that reminder is turn on if notification exists
            window.plugin.notification.local.isScheduled('040471', function(isScheduled) {
                if (isScheduled) {
                    $('#switcher-slider').val('1').slider('refresh');
                }
            });
            //change active time buton if reminder was active
            $('#switcher-slider').bind("change", function() {
                checkReminder()
            });
            var oldHour = window.localStorage.getItem("notificationHour");
            notificationHour = (oldHour) ? oldHour : '8';
            switch (notificationHour) {
                case '8':
                    $('#hour-eight').click();
                    break;
                case '12':
                    $('#hour-twelve').click();
                    break;
                case '16':
                    $('#hour-sixteen').click();
                    break;
                case '20':
                    $('#hour-twenty').click();
                    break;
            }
            if (device.platform == 'amazon-fireos') $('#content-home').append('<div style="height:300px">');

            //reminder hour
            function setNotificationHour(event) {
                if ($('.ui-slider-handle').attr('aria-valuenow') != 1) return false;
                notificationHour = $(event.target).attr('time');
                $('.current-hour').removeClass('current-hour');
                $(event.target).addClass('current-hour');
                startReminder();
            }
            //check if reminder already enabled
            function checkReminder() {
                if ($('.ui-slider-handle').attr('aria-valuenow') == 1) {
                    if (window.localStorage.getItem('prevNotificationHour', notificationHour)) {
                        switch (window.localStorage.getItem('prevNotificationHour', notificationHour)) {
                            case '8':
                                $('#hour-eight').click();
                                break;
                            case '12':
                                $('#hour-twelve').click();
                                break;
                            case '16':
                                $('#hour-sixteen').click();
                                break;
                            case '20':
                                $('#hour-twenty').click();
                                break;
                        }
                    } else $('#hour-eight').click();
                } else {
                    $('.current-hour').removeClass('current-hour');
                    stopReminder();
                }

            }
            //turn on
            function startReminder() {
                $('#reminder-thanks').css('display', 'block');

                window.localStorage.setItem('notificationHour', notificationHour);
                window.localStorage.setItem('prevNotificationHour', notificationHour);
                var date = new Date();
                date.setHours(notificationHour, 0, 0);

                if (date < new Date()) {
                    date.setHours(date.getHours() + 24);
                }
                window.plugin.notification.local.add({
                    id: '040471', // A unique id of the notification
                    date: date, // This expects a date object
                    message: $(reminderContent).find('reminderMessage').text(), // The message that is displayed
                    title: $(reminderContent).find('reminderTitle').text(), // The title of the message
                    sound: 'android.resource://audio/raw/notificationsound1', //Sound of the notification
                    repeat: 'daily', // Either 'secondly', 'minutely', 'hourly', 'daily', 'weekly', 'monthly' or 'yearly'
                });
            }
            //turn off
            function stopReminder() {
                window.plugin.notification.local.cancel('040471');
                window.localStorage.removeItem("notificationHour");
                $('#reminder-thanks').css('display', 'none');
            }
        });



    //New tab
    $(menu[2]).attr('class', 'ui-block-c tab-green')
        .click(function(event) {
            cleanByChangeTab($(this).text(), 'green', event.target);
            var url = contentDir + currentLn + '/' + newContent;
            //get content of page from dropbox
            $.ajax({
                url: url,
                success: function(response) {
                    //if content already downloaded from dropbox
                    response = (window.localStorage.getItem("latestNewPage")) ? window.localStorage.getItem("latestNewPage") : response;
                    $('#content-home').addClass('new-page').append(response).append('<div style="height:200px">').append('<div style="height:100px">');
                    $('#content-home').find('img').each(function() {
                        //size of main icon
                        $(this).attr('src', ($(this).attr('src') == 'icon-neu.png') ? 'icon-neu@2x.png' : $(this).attr('src'));
                        if ($(this).attr('src') != 'icon-pfeil-neu@2x.png' && $(this).attr('src') != 'icon-neu@2x.png') {
                            $(this).attr('src', $(this).attr('src').slice(0, -4) + '@2x.png')
                        }
                        //replace images
                        $(this).attr('src', 'css/img/' + $(this).attr('src'))
                    });
                    //activate links in market
                    $('#content-home').find('a').each(function() {
                        var link = $(this).attr('href')
                        $(this).click(function() {
                            odd = 1
                            if (navigator.connection.type === 'none') navigator.notification.alert('Check your internet connection', null, 'Sorry')
                            else{
                                window.plugins.webintent.startActivity({
                                    action: window.plugins.webintent.ACTION_VIEW,
                                    url: link
                                }, null, null);
                            }
                            return false;
                        });
                    })
                    if (device.platform == 'amazon-fireos') $('#content-home').append('<div style="height:300px">');
                    if (window.innerWidth > 2000 || window.innerHeight > 2000) $('#content-home').append('<div style="height:100px">');

                }
            });
            //remove banner ads
            killAds();
        });



    //Free tab
    $(menu[3]).attr('class', 'ui-block-d tab-blue')
        .click(function(event) {
            cleanByChangeTab($(this).text(), 'blue', event.target);
            //display like table
            var body = $('<div class=table>');
            //page title
            var firstLine = $('<div class=table-row>')
            var freeImg = $('<img class=table-cell id="free-img" src="css/img/icon-kostenlos@2x.png">')
            var headline = $('<div class=table-cell id="free-headline" >').append('<img id="filler" src="css/img/icon-kostenlos@2x.png" >').append($(freeContent).find('headline').text());
            $(firstLine).append(freeImg, headline);
            //text after title
            var secondLine = $('<div class=table-row>')
            var subheadline = $('<div class=table-cell id="free-sub-headline">').append($(freeContent).find('subheadline').text());
            $(secondLine).append($('<div>'), subheadline);

            var linkImage = $('<img src="css/img/icon-pfeil-kostenlos@2x.png">');

            //thank on appstore.......waiting for deploy    
            var thirdLine = $('<div class=table-row>')
            var urlAppStore = $('<a href="#">').append($('<img src="css/img/icon-pfeil-kostenlos@2x.png">').click(function() {
                $($($(this).parent()).parent()).click();
                return false
            }));
            var appstore = $('<div class=table-cell >').addClass('free-link').append($('<img src="css/img/icon-app-danke@2x.png">'))
                .append($('<span>').text($(freeContent).find('appstore').text()))
                .append(urlAppStore).attr('onclick', 'odd = 1; window.open("' + urlForMarket + '", "_blank", "location=no");');
            $(thirdLine).append($('<div>'), appstore);
            //like on facebook
            var fourthLine = $('<div class=table-row>')
            var urlFacebook = $('<a href="#">').append($('<img src="css/img/icon-pfeil-kostenlos@2x.png">').click(function() {
                $($($(this).parent()).parent()).click();
                return false
            }));
            var facebook = $('<div class=table-cell >').addClass('free-link').append($('<img src="css/img/icon-fb-danke@2x.png">'))
                .append($('<span>').text($(freeContent).find('facebook').text()))
                .append(urlFacebook).attr('onclick', 'odd = 1; window.open("' + urlForFBLike + '", "_blank", "location=no");');
            $(fourthLine).append($('<div>'), facebook);

            //send mail 

            var mailUrl = 'mailto:' + $(freeContent).find('mailto').text() + '?subject=' + $(freeContent).find('msgsubject').text() + '&body=' + $(freeContent).find('msgbody').text();
            var fifthLine = $('<a id="fucken-link" class=table-row style="text-decoration:none; color: black">').attr('href', mailUrl)
            var mailSend = $('<a>').append($('<img src="css/img/icon-pfeil-kostenlos@2x.png">').click(function(event) {
                odd = 1;
                $('#fucken-link').click();
                return false
            }));
            var newsletter = $('<div class=table-cell >').addClass('free-link').append($('<img src="css/img/icon-nl-danke@2x.png">'))
                .append($('<span>').text($(freeContent).find('newsletter').text()))
                .append($(mailSend));
            $(fifthLine).append($('<div>'), newsletter);

            //follow on twitter
            var sixthLine = $('<div class=table-row>')
            var urlTwitter = $('<a href="#">').append($('<img src="css/img/icon-pfeil-kostenlos@2x.png">').click(function() {
                $($($(this).parent()).parent()).click();
                return false
            }));
            var twitter = $('<div class=table-cell >').addClass('free-link').append($('<img src="css/img/icon-twitter-danke@2x.png">'))
                .append($('<span>').text($(freeContent).find('twitter').text()))
                .append(urlTwitter).attr('onclick', 'odd = 1; window.open("' + urlForTwitterFollow + '", "_blank", "location=no");');
            $(sixthLine).append($('<div>'), twitter);

            $(body).append(firstLine)
                .append(secondLine)
                .append(thirdLine)
                .append(fifthLine)
                .append(fourthLine)
                .append(sixthLine);

            $('#content-home').addClass('free-page').append(body).append('<div style="height:200px">').trigger('create').append('<div style="height:130px">');
            if (device.platform == 'amazon-fireos') $('#content-home').append('<div style="height:300px">');
            killAds();
        });



    //Dr.Bargak tab
    $(menu[4]).attr('class', 'ui-block-e tab-red')
        .click(function(event) {
            cleanByChangeTab(aboutHeader, 'red', event.target);
            var url = contentDir + currentLn + '/' + aboutContent;
            //get content of page
            $.ajax({
                url: url,
                success: function(response) {
                    //change content icons and styles
                    $('#content-home').append(response).append('<div style="height:200px">').append('<div style="height:130px">');
                    if (device.platform == 'amazon-fireos') $('#content-home').append('<div style="height:300px">');
                    if (window.innerWidth > 2000 || window.innerHeight > 2000) $('#content-home').append('<div style="height:100px">');
                    $('#content-home').find('img').each(function() {
                        $(this).attr('src', ($(this).attr('src') == 'icon-dr-bargak.png') ? 'icon-dr-bargak@2x.png' : $(this).attr('src'));
                        $(this).attr('src', 'css/img/' + $(this).attr('src'))
                    });
                    if ((device.platform == 'amazon-fireos')) $('#content-home').append('<div style="height:300px">');
                }
            });
            //get banner
            checkAds();
        });
    //start from massage page
    $(menu[0]).click();

    //add RateApp
    setTimeout(rateMe, 10000);

    //show fullscreen ads after resume
    document.addEventListener("resume", function() {
        if(odd == 0 || !odd)
        {   
            firstStartAd = false;
            showAdsBig();
            startFirstTime();
        }
        else{
            if (!$('#content-home').hasClass('massage') && !$('#content-home').hasClass('new-page')) {
                $('#social-tab').css('height', '0');
                killAds();
                showAds();
            }
            odd = 0;
        }
        

    }, false);
    //show full screen ads at first launch
    showAdsBig();

    //RateApp
    function rateMe() {

        var rateWaiting = (window.localStorage.getItem("rateWaiting")) ? window.localStorage.getItem("rateWaiting") : 0;
        if (rateWaiting > 4) {
            $('#popupRate').popup('open');
        } else {
            window.localStorage.setItem('rateWaiting', ++rateWaiting);
        }
    }
    //if 'No'
    $('#popupRateNo').text($(rateText).find('cancelButton').text()).click(function() {
        window.localStorage.setItem('rateWaiting', -99999);
    })
    // if 'Later'
    $('#popupRateLater').click(function() {
        window.localStorage.setItem('rateWaiting', -5);
    }).text($(rateText).find('remindLaterButton').text())
    //if 'Yes'
    $('#popupRateYes').click(function() {
        window.open($(rateText).find('url').text(), "_system");
        window.localStorage.setItem('rateWaiting', -99999);
    }).text($(rateText).find('rateButton').text())
    //get current text (depend on language)
    $('#rate-title').text($(rateText).find('title').text())
    $('#rate-text').text($(rateText).find('message').text())

}

//empty content and rebuild header
function cleanByChangeTab(headerText, headerColor, target) {
    //change color of header and rename it
    $('#header-home').empty()
        .removeClass('orange-header blue-header red-header yellow-header green-header')
        .addClass(headerColor + '-header').addClass('amazon')
        .html(setHeaderText(headerText));
    if (device.platform == 'amazon-fireos') {
        $('#header-home').addClass('amazon-hdx')
        $('#content-home').addClass('amazon-hdx')
    }
    //reset styles
    $('#content-home').removeClass('massage-content');
    $('#content-wrap').addClass('wraper');
    $('#content-home').addClass('wraper-inner');
    //add space for amazon devices with high dpi
    if (device.platform == 'amazon-fireos' && (window.innerHeight > window.innerWidth)) {
        $('#content-home').css({
            'height': window.innerHeight + 300 + 'px',
            'width': window.innerWidth + 'px'
        })
    } else if (device.platform == 'amazon-fireos' && (window.innerHeight < window.innerWidth)) {
        $('#content-home').css({
            'height': window.innerHeight + 800 + 'px',
            'width': window.innerWidth + 'px'
        })
    } else
        $('.wraper-inner').css({
            'height': (window.innerHeight) + 'px',
            'width': (window.innerWidth) + 'px'
        })
    //correct scrolling
    $('body').css({
        'position': 'fixed'
    })
    $('#content-home').removeClass('massage new-page free-page reminder-page').empty();
    //change active menu tab
    $('.tab-orange-active, .tab-yellow-active, .tab-green-active, .tab-blue-active, .tab-red-active')
        .toggleClass('tab-orange-active tab-yellow-active tab-green-active tab-blue-active tab-red-active', false);
    $(target).parent().addClass('tab-' + headerColor + '-active');
    //go to top
    window.scrollTo(0, 0)
}

//check if ads present
function checkAds() {
    // if(navigator.connection.type === 'wifi'){
    // killAds();
    if (!hasBanner) showAds();
    // }
}

function setHeaderText(value) {
    return '<h1 class="ui-title">' + value + '</h1>';
}

//PopUp at start
function startFirstTime() {
    var firstTime = window.localStorage.getItem("firstTime")
        // alert(firstTime)
    if (firstTime != '1' && firstTime != '2') {
        //this funcrion will launch at start while user not choose any answer 
        setTimeout(function() {
                $('#popupBasic').popup('open');
            },
            3000);
    } else if (firstTime == '2') {
        setTimeout(function() {
                $('#popup-push-content').html("<p  id='popup-push-content' style='font-size:1.5em; text-align:center;'>Your are awesome! Dr. Bargak</p>")
                $('#popupPush').popup('open');
            },
            3000);
        // if agree get pushNotifications
        getPushParse();
    }
}
$('#popupCancel').click(function() {
    window.localStorage.setItem('firstTime', 1);
})
$('#popupConfirm').click(function() {
    window.localStorage.setItem('firstTime', 2);
})

//share button on the content pages
function shareSocialPopup() {
    killAds();
    $('#social-tab').css('height', window.innerHeight / 3).css('display', 'block');
}

//wait for backgrounds
$(window).load(function() {
    $('#main').css('display', 'block');
});

//fullscreen ad
function showAdsBig() {
    if (freeApp) {
        odd = 1
        killAds();
        if (firstStartAd == true) return;
        window.admob.createInterstitialView({
                'publisherId': adMobIdBig,
            },
            function() {
                window.admob.requestAd({
                    'isTesting': isTesting
                });
            });
        firstStartAd = true;
    }
}
//banner ad
function showAds() {
    if (freeApp) {
        //change position of banner depend on device resolution & model
        var model = device.model;
        var step = (window.innerWidth > window.innerHeight) ? 75 : 48;
        if (window.innerHeight > 1000 || window.innerWidth > 1000) step = 90;
        if (window.innerWidth == 1024) step = 50;
        if (window.innerWidth == 1200) step = model.match(/Nexus/) ? 180 : 180;
        if (window.innerWidth == 600) step = model.match(/Nexus/) ? -649 : 90;
        if (window.innerWidth == 2560) step = 180;
        if (window.innerWidth == 1600) step = 180;
        if (window.innerWidth == 720) step = 100;
        if (window.innerWidth == 1196) step = 63;
        if (window.innerWidth == 1080) step = 150;
        if (window.innerWidth == 960) step = -311;
        if (window.innerWidth == 480) step = 75;
        if (window.innerWidth == 800) step = 46;
        if (window.innerWidth == 540) step = 75;
        if (window.innerWidth == 960 && model.match(/HTC/)) step = 75;
        if (window.innerWidth == 800 && model.match(/Xoom/)) step = 88;
        if (window.innerWidth == 1280 && model.match(/GT/)) step = 60;
        if (device.platform == 'amazon-fireos') {
            if (device.model == 'KFTHWI' || device.model == 'KFTHWA') { //hdx7
                if (window.innerWidth < window.innerHeight) step = 180;
                else step = 100;
            } else if (device.model == 'KFAPWA' || device.model == 'KFAPWI') { //hdx8.9
                step = 180;
            } else if (device.model == 'KFTT') { //hd7
                if (window.innerWidth < window.innerHeight) step = 134;
                else step = 75;
            } else if (device.model == 'KFJWI') { //hd7
                step = 134;
            } else { //7 hd8.9
                if (window.innerWidth < window.innerHeight) step = 134;
                else step = 75;
            }
        } else {
            if (model.match(/Nexus/)) {
                if (window.innerWidth == 601) step = -154;
                if (window.innerWidth == 962) step = -70;
                if (window.innerWidth == 400) step = -410;
                if (window.innerWidth == 598) step = -256;
                if (window.innerWidth == 800) step = -789;
                // if (window.innerWidth == 800 && window.innerHeight == 1170) step = 135;
                // if (window.innerWidth == 1217) step = 75;
                if (window.innerWidth == 1280) step = -430;
                if (model.match(/Nexus 10/) && window.innerWidth == 800) step = -904;
            } else if ((model.match(/Note/))) {
                if (window.innerWidth == 360) step = -880;
                else step = -430;

            } else if ((model.match(/Transformer/))) {
                if (window.innerWidth == 800) step = 90;
                if (window.innerWidth == 1920 || window.innerWidth == 1200) step = 134;
            }

        }


        var offset = window.innerHeight - $('.tab-orange').css('height').slice(0, -2) - step;
        //create banner
        window.admob.createBannerView({
                'publisherId': adMobId,
                'adSize': window.admob.AD_SIZE.SMART_BANNER,
                'offset': offset
            },
            function() {
                window.admob.requestAd({
                    'isTesting': isTesting
                });
            });
        hasBanner = true;
        // alert(window.innerWidth+'|' + window.innerHeight+ '|'+step+'|'+offset + '|'+ device.model)
    }
}
//remove ads
function killAds() {
    if (freeApp) {
        window.admob.killAd();
        hasBanner = false;
    }
}

//get pushNotifications
function getPushParse() {
    parsePlugin.initialize(parseId, parseClient, function() {
        console.log('init');
    }, function(e) {
        console.log('error');
    });
    parsePlugin.subscribe('DrBargak', function() {
        console.log('sub');
    }, function(e) {
        console.log('error');
    });
}

//go to url in push notification if url present. Else - show message
function checkPushUrl() {
    window.plugins.webintent.hasExtra(
        "com.parse.Data",
        function(has) {
            if (has) {
                window.plugins.webintent.getExtra(
                    "com.parse.Data",
                    function(d) {
                        var pushMessage = JSON.parse(d).alert;
                        var goPushUrl = pushMessage.match(/https:\/\/[^\s()\[\]'"`]*|http:\/\/[^\s()\[\]'"`]*/i);
                        if (goPushUrl) {
                            $('#popup-push-content').html("<p  id='popup-push-content' style='font-size:1.5em; text-align:center;'>" + pushMessage + "</p>")
                            $('#popupPush').popup('open');
                            $('#pushShow').click(function() {
                                window.open(goPushUrl, "_blank", "location=no")
                            });
                        } else {
                            $('#popup-push-content').html("<p  id='popup-push-content' style='font-size:1.5em; text-align:center;'>" + pushMessage + "</p>")
                            $('#popupPush').popup('open');
                        }
                    },
                    function() {
                        console.log('nothing')
                    }
                );
            }
        },
        function() {
            console.log('fail');
        }
    );
}

//change styles if change orientation
$(window).on("throttledresize", function(event) {
    window.scrollTo(0, 0)
    $('body').css('height', (window.innerHeight - 50) + 'px')
    if (device.platform == 'amazon-fireos' && (window.innerHeight > window.innerWidth)) {
        $('#content-home').css({
            'height': window.innerHeight + 300 + 'px',
            'width': window.innerWidth + 'px'
        })
    } else if (device.platform == 'amazon-fireos' && (window.innerHeight < window.innerWidth)) {
        setTimeout(function(){$('#content-home').css({
            'height': window.innerHeight + 800 + 'px',
            'width': window.innerWidth + 'px'
        })}, 300)                                                                                                                                   
    } else
        $('#content-home').css({
            'height': window.innerHeight + 'px',
            'width': window.innerWidth + 'px'
        })
    $('#content-home').find('video').attr({
        'height': window.innerWidth / 1.8 + 'px'
    }).empty();
    if (!$('#content-home').hasClass('massage') && !$('#content-home').hasClass('new-page') && !$('#content-home').hasClass('free-page')) {
        killAds();
        showAds();
    }
    $('#social-tab').css('height', '0');
});
//correct scrolling
document.onscroll = function() {
    if (document.body.scrollTop >= (document.body.scrollHeight - window.innerHeight - 150)) {
        if (device.platform == 'amazon-fireos' && $('#content-home').hasClass('massage')) {
            window.scrollTo(0, document.body.scrollHeight - window.innerHeight - 150)
        }
    }
}

function checkPageForAd() {
    if ($('#content-home').hasClass('massage') || $('#content-home').hasClass('new-page') || $('#content-home').hasClass('free-page')) killAds()
}   
